
#    MIDAS Access Client  for Hello service

global env
source [file join $env(MIDASBASE) SOAP tcl MIDASAccessClient.tcl]    ;#   load default support procedures

if {[info exists env(HelloServerHost)]} then {set HelloServerHost $env(HelloServerHost)} else {set HelloServerHost localhost}
if {[info exists env(HelloServerPort)]} then {set HelloServerPort $env(HelloServerPort)} else {set HelloServerPort 8015}

variable uri "urn:HelloServer"
variable proxy "http://$HelloServerHost:$HelloServerPort/HelloServer"

SOAP::create Hello -name HelloCmd -proxy $proxy -uri $uri -timeout 5000 -params {message string} \
     -wrapProc  ::SOAP::MIDAS_SOAPAccessClient_Request \
     -parseProc ::SOAP::MIDAS_SOAPAccessClient_Reply 


package provide HelloClient 1.0


